=== modified file 'setup.py'
--- setup.py	2019-02-19 00:12:43 +0000
+++ setup.py	2019-02-19 00:14:52 +0000
@@ -16,6 +16,14 @@
     sys.stderr.write("[ERROR] Not a supported Python version. Need 2.7+\n")
     sys.exit(1)
 
+
+try:
+    import setuptools
+except ImportError:
+    sys.stderr.write("[ERROR] Please install setuptools\n")
+    sys.exit(1)
+
+
 # NOTE: The directory containing setup.py, whether run by 'python setup.py' or
 # './setup.py' or the equivalent with another path, should always be at the
 # start of the path, so this should find the right one...
@@ -118,7 +126,6 @@
 BREEZY['packages'] = get_breezy_packages()
 
 
-from distutils import log
 from setuptools import setup
 from distutils.version import LooseVersion
 from distutils.command.install_scripts import install_scripts

